MyGUI: MyGUI::MemberObsolete< Button > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< Button > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< Button >:
[legend]

## Public Member Functions
void | setButtonPressed (bool _value)
bool | getButtonPressed ()
void | setStateCheck (bool _value)
bool | getStateCheck ()
ImageBox * | getStaticImage ()
void | setImageIndex (size_t _value)
size_t | getImageIndex ()

## Detailed Description

### template<>
class MyGUI::MemberObsolete< Button >

Definition at line 28 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ getButtonPressed()

bool MyGUI::MemberObsolete< Button >::getButtonPressed | ( |  | ) |

Deprecated:
  " is deprecated, use : bool Button::getStateSelected()"

Definition at line 48 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getImageIndex()

size_t MyGUI::MemberObsolete< Button >::getImageIndex | ( |  | ) |

Deprecated:
  " is deprecated"

Definition at line 69 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getStateCheck()

bool MyGUI::MemberObsolete< Button >::getStateCheck | ( |  | ) |

Deprecated:
  " is deprecated, use : bool Button::getStateSelected()"

Definition at line 56 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getStaticImage()

ImageBox * MyGUI::MemberObsolete< Button >::getStaticImage | ( |  | ) |

Deprecated:
  " is deprecated"

Definition at line 60 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setButtonPressed()

void MyGUI::MemberObsolete< Button >::setButtonPressed | ( | bool | _value | ) |

Deprecated:
  " is deprecated, use : void Button::setStateSelected(bool _value)"

Definition at line 44 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setImageIndex()

void MyGUI::MemberObsolete< Button >::setImageIndex | ( | size_t | _value | ) |

Deprecated:
  " is deprecated, use : void Button::setImageName(const std::string& _name)"

Definition at line 64 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setStateCheck()

void MyGUI::MemberObsolete< Button >::setStateCheck | ( | bool | _value | ) |

Deprecated:
  " is deprecated, use : void Button::setStateSelected(bool _value)"

Definition at line 52 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp